Subject: bug#50067: Context menus

From: Mattias Engdegård <[email-masked]>
Date: Wed, 18 Aug 2021 19:46:45 +0200

18 aug. 2021 kl. 18.42 skrev Juri Linkov <[email-masked]>:

> The raison d'être for the special mode context-menu-mode is to
> rebind the default keys optionally.  So it would make sense to bind
> context-menu-entry conditionally:
> 
> 1. to [C-mouse-1] on macOS depending on ‘(featurep 'ns)’;
> 2. to [down-mouse-3] everywhere else.
> 
> in the function body of context-menu-mode.

We'd like both bindings to work on macOS (the user could have a mouse with a right button) but that should be doable.

> After trying to remove it altogether, there is no title at all,
> but maybe it's platform-dependent (I tested on GTK):

After your suggested change I still get the "Select" title; needs to be investigated further.

> Could you please provide a test case?  Because I've thoroughly tested
> “Find Definition” to apply where the click occurred, and it works as expected.

Yes it works for elisp, because its xref backend is simplistic enough to just accept the symbol given as argument. An example of a package where it doesn't work is merlin which is rather more sophisticated and wants to find the exact context so that it can find the right definition, so it ignores the argument.

It would be useful to do this for elisp as well, so that it would work for local variables etc.